Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.wire

# Record Class InlineBlobResponse

java.lang.Object
java.lang.Record
org.firebirdsql.gds.ng.wire.InlineBlobResponse

Record Components:
  `transactionHandle` - transaction handle the inline blob is valid for
  `blobId` - blob id
  `info` - byte array with blob info
  `data` - byte array with blob data (without segments)

All Implemented Interfaces:
  `Response`

@NullMarked public record InlineBlobResponse(int transactionHandle, long blobId, byte[] info, byte[] data) extends Record implements Response
Response instance for an inline blob (`op_inline_blob`) response.

Since:
  6.0.2
Author:
  Mark Rotteveel

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InlineBlobResponse(int transactionHandle, long blobId, byte[] info, byte[] data)`
  Creates an instance of a `InlineBlobResponse` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `blobId()`
  Returns the value of the `blobId` record component.
  `byte[]`
  `data()`
  Returns the value of the `data` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `byte[]`
  `info()`
  Returns the value of the `info` record component.
  `InlineBlob`
  `toInlineBlob(FbWireDatabase database)`
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `int`
  `transactionHandle()`
  Returns the value of the `transactionHandle` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InlineBlobResponse

    public InlineBlobResponse(int transactionHandle, long blobId, byte[] info, byte[] data)
    Creates an instance of a `InlineBlobResponse` record class.
    Parameters:
      `transactionHandle` - the value for the `transactionHandle` record component
      `blobId` - the value for the `blobId` record component
      `info` - the value for the `info` record component
      `data` - the value for the `data` record component

- ## Method Details

  - ### toInlineBlob

    public InlineBlob toInlineBlob(FbWireDatabase database)

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### transactionHandle

    public int transactionHandle()
    Returns the value of the `transactionHandle` record component.
    Returns:
      the value of the `transactionHandle` record component

  - ### blobId

    public long blobId()
    Returns the value of the `blobId` record component.
    Returns:
      the value of the `blobId` record component

  - ### info

    public byte[] info()
    Returns the value of the `info` record component.
    Returns:
      the value of the `info` record component

  - ### data

    public byte[] data()
    Returns the value of the `data` record component.
    Returns:
      the value of the `data` record component